package test;


import com.poscoict.glueframework.GlueException;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class TestCase2 {
    public static void main(String[] args) {
        System.out.println("=================================== 시작 ");
        GlueBizController controller = GlueBizProvider.getController();
        System.out.println("=================================== bean 생성완료");

        GlueContext ctx = new GlueDefaultContext();
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "hello-exception-service");
        ctx.put("input", "Glue");
        ctx.put("case2", "1");
        System.out.println("=================================== GlueContext 생성완료");

        try {
            controller.doAction(ctx);
            System.out.println("정상종료");
        } catch (GlueException e) {
            e.printStackTrace();
        }
        System.out.println("=================================== GlueService 실행완료");
        System.out.println(ctx.get("result"));
        System.out.println("=================================== 종료 ");
    }
}